diff -Naur --exclude=autom4te.cache openssh-3.9p1/config.h.in openssh-3.9p1-gssapi/config.h.in
--- openssh-3.9p1/config.h.in	Tue Aug 17 07:54:51 2004
+++ openssh-3.9p1-gssapi/config.h.in	Wed Aug 18 17:05:23 2004
@@ -1,4 +1,4 @@
-/* config.h.in.  Generated from configure.ac by autoheader.  */
+/* config.h.in.  Generated automatically from configure.ac by autoheader.  */
 /* $Id: acconfig.h,v 1.180 2004/08/16 13:12:06 dtucker Exp $ */
 
 /*
@@ -32,6 +32,7 @@
 /* Please make your changes there */
 
 
+
 /* Define if your platform breaks doing a seteuid before a setuid */
 #undef SETEUID_BREAKS_SETUID
 
@@ -259,6 +260,9 @@
 /* Define if compiler implements __func__ */
 #undef HAVE___func__
 
+/* Define this if you're building with GSSAPI MechGlue */
+#undef MECHGLUE
+
 /* Define this is you want GSSAPI support in the version 2 protocol */
 #undef GSSAPI
 
@@ -268,6 +272,16 @@
 /* Define this if you are using the Heimdal version of Kerberos V5 */
 #undef HEIMDAL
 
+/* Define this if you want to use AFS/Kerberos 5 option, which runs aklog. */
+#undef AFS_KRB5
+#undef AKLOG_PATH
+
+/* Define if you want GSI/Globus authentication support */
+#undef GSI
+
+/* Define this if you want support for startup/shutdown hooks */
+#undef SESSION_HOOKS
+
 /* Define this if you want to use libkafs' AFS support */
 #undef USE_AFS
 
@@ -461,613 +475,598 @@
 #undef HAVE_PROC_PID
 
 
-/* Define to 1 if the `getpgrp' function requires zero arguments. */
+/* Define if the `getpgrp' function takes no argument. */
 #undef GETPGRP_VOID
 
-/* Define to 1 if you have the `arc4random' function. */
+/* Define if you have the `arc4random' function. */
 #undef HAVE_ARC4RANDOM
 
-/* Define to 1 if you have the `b64_ntop' function. */
+/* Define if you have the `b64_ntop' function. */
 #undef HAVE_B64_NTOP
 
-/* Define to 1 if you have the `b64_pton' function. */
+/* Define if you have the `b64_pton' function. */
 #undef HAVE_B64_PTON
 
-/* Define to 1 if you have the `bcopy' function. */
+/* Define if you have the `bcopy' function. */
 #undef HAVE_BCOPY
 
-/* Define to 1 if you have the `bindresvport_sa' function. */
+/* Define if you have the `bindresvport_sa' function. */
 #undef HAVE_BINDRESVPORT_SA
 
-/* Define to 1 if you have the <bstring.h> header file. */
+/* Define if you have the <bstring.h> header file. */
 #undef HAVE_BSTRING_H
 
-/* Define to 1 if you have the `clock' function. */
+/* Define if you have the `clock' function. */
 #undef HAVE_CLOCK
 
-/* Define to 1 if you have the `closefrom' function. */
+/* Define if you have the `closefrom' function. */
 #undef HAVE_CLOSEFROM
 
 /* Define if gai_strerror() returns const char * */
 #undef HAVE_CONST_GAI_STRERROR_PROTO
 
-/* Define to 1 if you have the <crypt.h> header file. */
+/* Define if you have the <crypt.h> header file. */
 #undef HAVE_CRYPT_H
 
 /* Define to 1 if you have the declaration of `h_errno', and to 0 if you
    don't. */
 #undef HAVE_DECL_H_ERRNO
 
-/* Define to 1 if you have the <dirent.h> header file. */
+/* Define if you have the <dirent.h> header file. */
 #undef HAVE_DIRENT_H
 
-/* Define to 1 if you have the `dirfd' function. */
+/* Define if you have the `dirfd' function. */
 #undef HAVE_DIRFD
 
-/* Define to 1 if you have the `dirname' function. */
+/* Define if you have the `dirname' function. */
 #undef HAVE_DIRNAME
 
-/* Define to 1 if you have the <endian.h> header file. */
+/* Define if you have the <endian.h> header file. */
 #undef HAVE_ENDIAN_H
 
-/* Define to 1 if you have the `endutent' function. */
+/* Define if you have the `endutent' function. */
 #undef HAVE_ENDUTENT
 
-/* Define to 1 if you have the `endutxent' function. */
+/* Define if you have the `endutxent' function. */
 #undef HAVE_ENDUTXENT
 
-/* Define to 1 if you have the `fchmod' function. */
+/* Define if you have the `fchmod' function. */
 #undef HAVE_FCHMOD
 
-/* Define to 1 if you have the `fchown' function. */
+/* Define if you have the `fchown' function. */
 #undef HAVE_FCHOWN
 
-/* Define to 1 if you have the <features.h> header file. */
+/* Define if you have the <features.h> header file. */
 #undef HAVE_FEATURES_H
 
-/* Define to 1 if you have the <floatingpoint.h> header file. */
+/* Define if you have the <floatingpoint.h> header file. */
 #undef HAVE_FLOATINGPOINT_H
 
-/* Define to 1 if you have the `freeaddrinfo' function. */
+/* Define if you have the `freeaddrinfo' function. */
 #undef HAVE_FREEADDRINFO
 
-/* Define to 1 if you have the `futimes' function. */
+/* Define if you have the `futimes' function. */
 #undef HAVE_FUTIMES
 
-/* Define to 1 if you have the `gai_strerror' function. */
+/* Define if you have the `gai_strerror' function. */
 #undef HAVE_GAI_STRERROR
 
-/* Define to 1 if you have the `getaddrinfo' function. */
+/* Define if you have the `getaddrinfo' function. */
 #undef HAVE_GETADDRINFO
 
-/* Define to 1 if you have the `getcwd' function. */
+/* Define if you have the `getcwd' function. */
 #undef HAVE_GETCWD
 
-/* Define to 1 if you have the `getgrouplist' function. */
+/* Define if you have the `getgrouplist' function. */
 #undef HAVE_GETGROUPLIST
 
-/* Define to 1 if you have the `getluid' function. */
+/* Define if you have the `getluid' function. */
 #undef HAVE_GETLUID
 
-/* Define to 1 if you have the `getnameinfo' function. */
+/* Define if you have the `getnameinfo' function. */
 #undef HAVE_GETNAMEINFO
 
-/* Define to 1 if you have the `getopt' function. */
+/* Define if you have the `getopt' function. */
 #undef HAVE_GETOPT
 
-/* Define to 1 if you have the <getopt.h> header file. */
+/* Define if you have the <getopt.h> header file. */
 #undef HAVE_GETOPT_H
 
-/* Define to 1 if you have the `getpeereid' function. */
+/* Define if you have the `getpeereid' function. */
 #undef HAVE_GETPEEREID
 
-/* Define to 1 if you have the `getpwanam' function. */
+/* Define if you have the `getpwanam' function. */
 #undef HAVE_GETPWANAM
 
-/* Define to 1 if you have the `getrlimit' function. */
+/* Define if you have the `getrlimit' function. */
 #undef HAVE_GETRLIMIT
 
-/* Define to 1 if you have the `getrusage' function. */
+/* Define if you have the `getrusage' function. */
 #undef HAVE_GETRUSAGE
 
-/* Define to 1 if you have the `gettimeofday' function. */
+/* Define if you have the `gettimeofday' function. */
 #undef HAVE_GETTIMEOFDAY
 
-/* Define to 1 if you have the `getttyent' function. */
+/* Define if you have the `getttyent' function. */
 #undef HAVE_GETTTYENT
 
-/* Define to 1 if you have the `getutent' function. */
+/* Define if you have the `getutent' function. */
 #undef HAVE_GETUTENT
 
-/* Define to 1 if you have the `getutid' function. */
+/* Define if you have the `getutid' function. */
 #undef HAVE_GETUTID
 
-/* Define to 1 if you have the `getutline' function. */
+/* Define if you have the `getutline' function. */
 #undef HAVE_GETUTLINE
 
-/* Define to 1 if you have the `getutxent' function. */
+/* Define if you have the `getutxent' function. */
 #undef HAVE_GETUTXENT
 
-/* Define to 1 if you have the `getutxid' function. */
+/* Define if you have the `getutxid' function. */
 #undef HAVE_GETUTXID
 
-/* Define to 1 if you have the `getutxline' function. */
+/* Define if you have the `getutxline' function. */
 #undef HAVE_GETUTXLINE
 
-/* Define to 1 if you have the `glob' function. */
+/* Define if you have the `glob' function. */
 #undef HAVE_GLOB
 
-/* Define to 1 if you have the <glob.h> header file. */
+/* Define if you have the <glob.h> header file. */
 #undef HAVE_GLOB_H
 
-/* Define to 1 if you have the <gssapi_generic.h> header file. */
+/* Define if you have the <gssapi_generic.h> header file. */
 #undef HAVE_GSSAPI_GENERIC_H
 
-/* Define to 1 if you have the <gssapi/gssapi_generic.h> header file. */
+/* Define if you have the <gssapi/gssapi_generic.h> header file. */
 #undef HAVE_GSSAPI_GSSAPI_GENERIC_H
 
-/* Define to 1 if you have the <gssapi/gssapi.h> header file. */
+/* Define if you have the <gssapi/gssapi.h> header file. */
 #undef HAVE_GSSAPI_GSSAPI_H
 
-/* Define to 1 if you have the <gssapi/gssapi_krb5.h> header file. */
+/* Define if you have the <gssapi/gssapi_krb5.h> header file. */
 #undef HAVE_GSSAPI_GSSAPI_KRB5_H
 
-/* Define to 1 if you have the <gssapi.h> header file. */
+/* Define if you have the <gssapi.h> header file. */
 #undef HAVE_GSSAPI_H
 
-/* Define to 1 if you have the <gssapi_krb5.h> header file. */
+/* Define if you have the <gssapi_krb5.h> header file. */
 #undef HAVE_GSSAPI_KRB5_H
 
-/* Define to 1 if you have the <ia.h> header file. */
+/* Define if you have the <ia.h> header file. */
 #undef HAVE_IA_H
 
-/* Define to 1 if you have the `inet_aton' function. */
+/* Define if you have the `inet_aton' function. */
 #undef HAVE_INET_ATON
 
-/* Define to 1 if you have the `inet_ntoa' function. */
+/* Define if you have the `inet_ntoa' function. */
 #undef HAVE_INET_NTOA
 
-/* Define to 1 if you have the `inet_ntop' function. */
+/* Define if you have the `inet_ntop' function. */
 #undef HAVE_INET_NTOP
 
-/* Define to 1 if you have the `innetgr' function. */
+/* Define if you have the `innetgr' function. */
 #undef HAVE_INNETGR
 
-/* Define to 1 if you have the <inttypes.h> header file. */
+/* Define if you have the <inttypes.h> header file. */
 #undef HAVE_INTTYPES_H
 
-/* Define to 1 if you have the <lastlog.h> header file. */
+/* Define if you have the <lastlog.h> header file. */
 #undef HAVE_LASTLOG_H
 
-/* Define to 1 if you have the `crypt' library (-lcrypt). */
+/* Define if you have the `crypt' library (-lcrypt). */
 #undef HAVE_LIBCRYPT
 
-/* Define to 1 if you have the `dl' library (-ldl). */
+/* Define if you have the `dl' library (-ldl). */
 #undef HAVE_LIBDL
 
-/* Define to 1 if you have the <libgen.h> header file. */
+/* Define if you have the <libgen.h> header file. */
 #undef HAVE_LIBGEN_H
 
-/* Define to 1 if you have the `nsl' library (-lnsl). */
+/* Define if you have the `nsl' library (-lnsl). */
 #undef HAVE_LIBNSL
 
-/* Define to 1 if you have the `pam' library (-lpam). */
+/* Define if you have the `pam' library (-lpam). */
 #undef HAVE_LIBPAM
 
-/* Define to 1 if you have the `sectok' library (-lsectok). */
+/* Define if you have the `sectok' library (-lsectok). */
 #undef HAVE_LIBSECTOK
 
-/* Define to 1 if you have the `socket' library (-lsocket). */
+/* Define if you have the `socket' library (-lsocket). */
 #undef HAVE_LIBSOCKET
 
-/* Define to 1 if you have the <libutil.h> header file. */
+/* Define if you have the <libutil.h> header file. */
 #undef HAVE_LIBUTIL_H
 
-/* Define to 1 if you have the `xnet' library (-lxnet). */
+/* Define if you have the `xnet' library (-lxnet). */
 #undef HAVE_LIBXNET
 
-/* Define to 1 if you have the `z' library (-lz). */
+/* Define if you have the `z' library (-lz). */
 #undef HAVE_LIBZ
 
-/* Define to 1 if you have the <limits.h> header file. */
+/* Define if you have the <limits.h> header file. */
 #undef HAVE_LIMITS_H
 
-/* Define to 1 if you have the <login_cap.h> header file. */
+/* Define if you have the <login_cap.h> header file. */
 #undef HAVE_LOGIN_CAP_H
 
-/* Define to 1 if you have the `login_getcapbool' function. */
+/* Define if you have the `login_getcapbool' function. */
 #undef HAVE_LOGIN_GETCAPBOOL
 
-/* Define to 1 if you have the <login.h> header file. */
+/* Define if you have the <login.h> header file. */
 #undef HAVE_LOGIN_H
 
-/* Define to 1 if you have the `logout' function. */
+/* Define if you have the `logout' function. */
 #undef HAVE_LOGOUT
 
-/* Define to 1 if you have the `logwtmp' function. */
+/* Define if you have the `logwtmp' function. */
 #undef HAVE_LOGWTMP
 
-/* Define to 1 if you have the <maillock.h> header file. */
+/* Define if you have the <maillock.h> header file. */
 #undef HAVE_MAILLOCK_H
 
-/* Define to 1 if you have the `md5_crypt' function. */
+/* Define if you have the `md5_crypt' function. */
 #undef HAVE_MD5_CRYPT
 
-/* Define to 1 if you have the `memmove' function. */
+/* Define if you have the `memmove' function. */
 #undef HAVE_MEMMOVE
 
-/* Define to 1 if you have the <memory.h> header file. */
+/* Define if you have the <memory.h> header file. */
 #undef HAVE_MEMORY_H
 
-/* Define to 1 if you have the `mkdtemp' function. */
+/* Define if you have the `mkdtemp' function. */
 #undef HAVE_MKDTEMP
 
-/* Define to 1 if you have the `mmap' function. */
+/* Define if you have the `mmap' function. */
 #undef HAVE_MMAP
 
-/* Define to 1 if you have the <ndir.h> header file. */
+/* Define if you have the <ndir.h> header file. */
 #undef HAVE_NDIR_H
 
-/* Define to 1 if you have the <netdb.h> header file. */
+/* Define if you have the <netdb.h> header file. */
 #undef HAVE_NETDB_H
 
-/* Define to 1 if you have the <netgroup.h> header file. */
+/* Define if you have the <netgroup.h> header file. */
 #undef HAVE_NETGROUP_H
 
-/* Define to 1 if you have the <netinet/in_systm.h> header file. */
+/* Define if you have the <netinet/in_systm.h> header file. */
 #undef HAVE_NETINET_IN_SYSTM_H
 
-/* Define to 1 if you have the `ngetaddrinfo' function. */
+/* Define if you have the `ngetaddrinfo' function. */
 #undef HAVE_NGETADDRINFO
 
-/* Define to 1 if you have the `nsleep' function. */
+/* Define if you have the `nsleep' function. */
 #undef HAVE_NSLEEP
 
-/* Define to 1 if you have the `ogetaddrinfo' function. */
+/* Define if you have the `ogetaddrinfo' function. */
 #undef HAVE_OGETADDRINFO
 
-/* Define to 1 if you have the `openlog_r' function. */
+/* Define if you have the `openlog_r' function. */
 #undef HAVE_OPENLOG_R
 
-/* Define to 1 if you have the `openpty' function. */
+/* Define if you have the `openpty' function. */
 #undef HAVE_OPENPTY
 
-/* Define to 1 if you have the `pam_getenvlist' function. */
+/* Define if you have the `pam_getenvlist' function. */
 #undef HAVE_PAM_GETENVLIST
 
-/* Define to 1 if you have the <pam/pam_appl.h> header file. */
+/* Define if you have the <pam/pam_appl.h> header file. */
 #undef HAVE_PAM_PAM_APPL_H
 
-/* Define to 1 if you have the `pam_putenv' function. */
+/* Define if you have the `pam_putenv' function. */
 #undef HAVE_PAM_PUTENV
 
-/* Define to 1 if you have the <paths.h> header file. */
+/* Define if you have the <paths.h> header file. */
 #undef HAVE_PATHS_H
 
-/* Define to 1 if you have the `prctl' function. */
+/* Define if you have the `prctl' function. */
 #undef HAVE_PRCTL
 
-/* Define to 1 if you have the `pstat' function. */
+/* Define if you have the `pstat' function. */
 #undef HAVE_PSTAT
 
-/* Define to 1 if you have the <pty.h> header file. */
+/* Define if you have the <pty.h> header file. */
 #undef HAVE_PTY_H
 
-/* Define to 1 if you have the `pututline' function. */
+/* Define if you have the `pututline' function. */
 #undef HAVE_PUTUTLINE
 
-/* Define to 1 if you have the `pututxline' function. */
+/* Define if you have the `pututxline' function. */
 #undef HAVE_PUTUTXLINE
 
-/* Define to 1 if you have the `readpassphrase' function. */
+/* Define if you have the `readpassphrase' function. */
 #undef HAVE_READPASSPHRASE
 
-/* Define to 1 if you have the <readpassphrase.h> header file. */
+/* Define if you have the <readpassphrase.h> header file. */
 #undef HAVE_READPASSPHRASE_H
 
-/* Define to 1 if you have the `realpath' function. */
+/* Define if you have the `realpath' function. */
 #undef HAVE_REALPATH
 
-/* Define to 1 if you have the `recvmsg' function. */
+/* Define if you have the `recvmsg' function. */
 #undef HAVE_RECVMSG
 
-/* Define to 1 if you have the <rpc/types.h> header file. */
+/* Define if you have the <rpc/types.h> header file. */
 #undef HAVE_RPC_TYPES_H
 
-/* Define to 1 if you have the `rresvport_af' function. */
+/* Define if you have the `rresvport_af' function. */
 #undef HAVE_RRESVPORT_AF
 
-/* Define to 1 if you have the <sectok.h> header file. */
+/* Define if you have the <sectok.h> header file. */
 #undef HAVE_SECTOK_H
 
-/* Define to 1 if you have the <security/pam_appl.h> header file. */
+/* Define if you have the <security/pam_appl.h> header file. */
 #undef HAVE_SECURITY_PAM_APPL_H
 
-/* Define to 1 if you have the `sendmsg' function. */
+/* Define if you have the `sendmsg' function. */
 #undef HAVE_SENDMSG
 
-/* Define to 1 if you have the `setauthdb' function. */
+/* Define if you have the `setauthdb' function. */
 #undef HAVE_SETAUTHDB
 
-/* Define to 1 if you have the `setdtablesize' function. */
+/* Define if you have the `setdtablesize' function. */
 #undef HAVE_SETDTABLESIZE
 
-/* Define to 1 if you have the `setegid' function. */
+/* Define if you have the `setegid' function. */
 #undef HAVE_SETEGID
 
-/* Define to 1 if you have the `setenv' function. */
+/* Define if you have the `setenv' function. */
 #undef HAVE_SETENV
 
-/* Define to 1 if you have the `seteuid' function. */
+/* Define if you have the `seteuid' function. */
 #undef HAVE_SETEUID
 
-/* Define to 1 if you have the `setgroups' function. */
+/* Define if you have the `setgroups' function. */
 #undef HAVE_SETGROUPS
 
-/* Define to 1 if you have the `setlogin' function. */
+/* Define if you have the `setlogin' function. */
 #undef HAVE_SETLOGIN
 
-/* Define to 1 if you have the `setluid' function. */
+/* Define if you have the `setluid' function. */
 #undef HAVE_SETLUID
 
-/* Define to 1 if you have the `setpcred' function. */
+/* Define if you have the `setpcred' function. */
 #undef HAVE_SETPCRED
 
-/* Define to 1 if you have the `setproctitle' function. */
+/* Define if you have the `setproctitle' function. */
 #undef HAVE_SETPROCTITLE
 
-/* Define to 1 if you have the `setregid' function. */
+/* Define if you have the `setregid' function. */
 #undef HAVE_SETREGID
 
-/* Define to 1 if you have the `setresgid' function. */
+/* Define if you have the `setresgid' function. */
 #undef HAVE_SETRESGID
 
-/* Define to 1 if you have the `setresuid' function. */
+/* Define if you have the `setresuid' function. */
 #undef HAVE_SETRESUID
 
-/* Define to 1 if you have the `setreuid' function. */
+/* Define if you have the `setreuid' function. */
 #undef HAVE_SETREUID
 
-/* Define to 1 if you have the `setrlimit' function. */
+/* Define if you have the `setrlimit' function. */
 #undef HAVE_SETRLIMIT
 
-/* Define to 1 if you have the `setsid' function. */
+/* Define if you have the `setsid' function. */
 #undef HAVE_SETSID
 
-/* Define to 1 if you have the `setutent' function. */
+/* Define if you have the `setutent' function. */
 #undef HAVE_SETUTENT
 
-/* Define to 1 if you have the `setutxent' function. */
+/* Define if you have the `setutxent' function. */
 #undef HAVE_SETUTXENT
 
-/* Define to 1 if you have the `setvbuf' function. */
+/* Define if you have the `setvbuf' function. */
 #undef HAVE_SETVBUF
 
-/* Define to 1 if you have the <shadow.h> header file. */
+/* Define if you have the <shadow.h> header file. */
 #undef HAVE_SHADOW_H
 
-/* Define to 1 if you have the `sigaction' function. */
+/* Define if you have the `sigaction' function. */
 #undef HAVE_SIGACTION
 
-/* Define to 1 if you have the `sigvec' function. */
+/* Define if you have the `sigvec' function. */
 #undef HAVE_SIGVEC
 
-/* Define to 1 if the system has the type `sig_atomic_t'. */
+/* Define if the system has the type `sig_atomic_t'. */
 #undef HAVE_SIG_ATOMIC_T
 
-/* Define to 1 if you have the `snprintf' function. */
+/* Define if you have the `snprintf' function. */
 #undef HAVE_SNPRINTF
 
-/* Define to 1 if you have the `socketpair' function. */
+/* Define if you have the `socketpair' function. */
 #undef HAVE_SOCKETPAIR
 
-/* Define to 1 if you have the <stddef.h> header file. */
+/* Define if you have the <stddef.h> header file. */
 #undef HAVE_STDDEF_H
 
-/* Define to 1 if you have the <stdint.h> header file. */
+/* Define if you have the <stdint.h> header file. */
 #undef HAVE_STDINT_H
 
-/* Define to 1 if you have the <stdlib.h> header file. */
+/* Define if you have the <stdlib.h> header file. */
 #undef HAVE_STDLIB_H
 
-/* Define to 1 if you have the `strerror' function. */
+/* Define if you have the `strerror' function. */
 #undef HAVE_STRERROR
 
-/* Define to 1 if you have the `strftime' function. */
+/* Define if you have the `strftime' function. */
 #undef HAVE_STRFTIME
 
-/* Define to 1 if you have the <strings.h> header file. */
+/* Define if you have the <strings.h> header file. */
 #undef HAVE_STRINGS_H
 
-/* Define to 1 if you have the <string.h> header file. */
+/* Define if you have the <string.h> header file. */
 #undef HAVE_STRING_H
 
-/* Define to 1 if you have the `strlcat' function. */
+/* Define if you have the `strlcat' function. */
 #undef HAVE_STRLCAT
 
-/* Define to 1 if you have the `strlcpy' function. */
+/* Define if you have the `strlcpy' function. */
 #undef HAVE_STRLCPY
 
-/* Define to 1 if you have the `strmode' function. */
+/* Define if you have the `strmode' function. */
 #undef HAVE_STRMODE
 
-/* Define to 1 if you have the `strnvis' function. */
+/* Define if you have the `strnvis' function. */
 #undef HAVE_STRNVIS
 
-/* Define to 1 if you have the `strsep' function. */
+/* Define if you have the `strsep' function. */
 #undef HAVE_STRSEP
 
-/* Define to 1 if you have the `strtoul' function. */
+/* Define if you have the `strtoul' function. */
 #undef HAVE_STRTOUL
 
-/* Define to 1 if `st_blksize' is member of `struct stat'. */
+/* Define if `st_blksize' is member of `struct stat'. */
 #undef HAVE_STRUCT_STAT_ST_BLKSIZE
 
-/* Define to 1 if the system has the type `struct timespec'. */
+/* Define if the system has the type `struct timespec'. */
 #undef HAVE_STRUCT_TIMESPEC
 
-/* Define to 1 if you have the `sysconf' function. */
+/* Define if you have the `sysconf' function. */
 #undef HAVE_SYSCONF
 
-/* Define to 1 if you have the <sys/audit.h> header file. */
+/* Define if you have the <sys/audit.h> header file. */
 #undef HAVE_SYS_AUDIT_H
 
-/* Define to 1 if you have the <sys/bitypes.h> header file. */
+/* Define if you have the <sys/bitypes.h> header file. */
 #undef HAVE_SYS_BITYPES_H
 
-/* Define to 1 if you have the <sys/bsdtty.h> header file. */
+/* Define if you have the <sys/bsdtty.h> header file. */
 #undef HAVE_SYS_BSDTTY_H
 
-/* Define to 1 if you have the <sys/cdefs.h> header file. */
+/* Define if you have the <sys/cdefs.h> header file. */
 #undef HAVE_SYS_CDEFS_H
 
-/* Define to 1 if you have the <sys/dir.h> header file. */
+/* Define if you have the <sys/dir.h> header file. */
 #undef HAVE_SYS_DIR_H
 
-/* Define to 1 if you have the <sys/mman.h> header file. */
+/* Define if you have the <sys/mman.h> header file. */
 #undef HAVE_SYS_MMAN_H
 
-/* Define to 1 if you have the <sys/ndir.h> header file. */
+/* Define if you have the <sys/ndir.h> header file. */
 #undef HAVE_SYS_NDIR_H
 
-/* Define to 1 if you have the <sys/prctl.h> header file. */
+/* Define if you have the <sys/prctl.h> header file. */
 #undef HAVE_SYS_PRCTL_H
 
-/* Define to 1 if you have the <sys/pstat.h> header file. */
+/* Define if you have the <sys/pstat.h> header file. */
 #undef HAVE_SYS_PSTAT_H
 
-/* Define to 1 if you have the <sys/ptms.h> header file. */
+/* Define if you have the <sys/ptms.h> header file. */
 #undef HAVE_SYS_PTMS_H
 
-/* Define to 1 if you have the <sys/select.h> header file. */
+/* Define if you have the <sys/select.h> header file. */
 #undef HAVE_SYS_SELECT_H
 
-/* Define to 1 if you have the <sys/stat.h> header file. */
+/* Define if you have the <sys/stat.h> header file. */
 #undef HAVE_SYS_STAT_H
 
-/* Define to 1 if you have the <sys/stream.h> header file. */
+/* Define if you have the <sys/stream.h> header file. */
 #undef HAVE_SYS_STREAM_H
 
-/* Define to 1 if you have the <sys/stropts.h> header file. */
+/* Define if you have the <sys/stropts.h> header file. */
 #undef HAVE_SYS_STROPTS_H
 
-/* Define to 1 if you have the <sys/strtio.h> header file. */
+/* Define if you have the <sys/strtio.h> header file. */
 #undef HAVE_SYS_STRTIO_H
 
-/* Define to 1 if you have the <sys/sysmacros.h> header file. */
+/* Define if you have the <sys/sysmacros.h> header file. */
 #undef HAVE_SYS_SYSMACROS_H
 
-/* Define to 1 if you have the <sys/timers.h> header file. */
+/* Define if you have the <sys/timers.h> header file. */
 #undef HAVE_SYS_TIMERS_H
 
-/* Define to 1 if you have the <sys/time.h> header file. */
+/* Define if you have the <sys/time.h> header file. */
 #undef HAVE_SYS_TIME_H
 
-/* Define to 1 if you have the <sys/types.h> header file. */
+/* Define if you have the <sys/types.h> header file. */
 #undef HAVE_SYS_TYPES_H
 
-/* Define to 1 if you have the <sys/un.h> header file. */
+/* Define if you have the <sys/un.h> header file. */
 #undef HAVE_SYS_UN_H
 
-/* Define to 1 if you have the `tcgetpgrp' function. */
+/* Define if you have the `tcgetpgrp' function. */
 #undef HAVE_TCGETPGRP
 
-/* Define to 1 if you have the `tcsendbreak' function. */
+/* Define if you have the `tcsendbreak' function. */
 #undef HAVE_TCSENDBREAK
 
-/* Define to 1 if you have the `time' function. */
+/* Define if you have the `time' function. */
 #undef HAVE_TIME
 
-/* Define to 1 if you have the <time.h> header file. */
+/* Define if you have the <time.h> header file. */
 #undef HAVE_TIME_H
 
-/* Define to 1 if you have the <tmpdir.h> header file. */
+/* Define if you have the <tmpdir.h> header file. */
 #undef HAVE_TMPDIR_H
 
-/* Define to 1 if you have the `truncate' function. */
+/* Define if you have the `truncate' function. */
 #undef HAVE_TRUNCATE
 
-/* Define to 1 if you have the <ttyent.h> header file. */
+/* Define if you have the <ttyent.h> header file. */
 #undef HAVE_TTYENT_H
 
-/* Define to 1 if you have the <unistd.h> header file. */
+/* Define if you have the <unistd.h> header file. */
 #undef HAVE_UNISTD_H
 
-/* Define to 1 if you have the `unsetenv' function. */
+/* Define if you have the `unsetenv' function. */
 #undef HAVE_UNSETENV
 
-/* Define to 1 if you have the `updwtmp' function. */
+/* Define if you have the `updwtmp' function. */
 #undef HAVE_UPDWTMP
 
-/* Define to 1 if you have the `updwtmpx' function. */
+/* Define if you have the `updwtmpx' function. */
 #undef HAVE_UPDWTMPX
 
-/* Define to 1 if you have the <usersec.h> header file. */
+/* Define if you have the <usersec.h> header file. */
 #undef HAVE_USERSEC_H
 
-/* Define to 1 if you have the <util.h> header file. */
+/* Define if you have the <util.h> header file. */
 #undef HAVE_UTIL_H
 
-/* Define to 1 if you have the `utimes' function. */
+/* Define if you have the `utimes' function. */
 #undef HAVE_UTIMES
 
-/* Define to 1 if you have the <utime.h> header file. */
+/* Define if you have the <utime.h> header file. */
 #undef HAVE_UTIME_H
 
-/* Define to 1 if you have the `utmpname' function. */
+/* Define if you have the `utmpname' function. */
 #undef HAVE_UTMPNAME
 
-/* Define to 1 if you have the `utmpxname' function. */
+/* Define if you have the `utmpxname' function. */
 #undef HAVE_UTMPXNAME
 
-/* Define to 1 if you have the <utmpx.h> header file. */
+/* Define if you have the <utmpx.h> header file. */
 #undef HAVE_UTMPX_H
 
-/* Define to 1 if you have the <utmp.h> header file. */
+/* Define if you have the <utmp.h> header file. */
 #undef HAVE_UTMP_H
 
-/* Define to 1 if you have the `vhangup' function. */
+/* Define if you have the `vhangup' function. */
 #undef HAVE_VHANGUP
 
-/* Define to 1 if you have the <vis.h> header file. */
+/* Define if you have the <vis.h> header file. */
 #undef HAVE_VIS_H
 
-/* Define to 1 if you have the `vsnprintf' function. */
+/* Define if you have the `vsnprintf' function. */
 #undef HAVE_VSNPRINTF
 
-/* Define to 1 if you have the `waitpid' function. */
+/* Define if you have the `waitpid' function. */
 #undef HAVE_WAITPID
 
-/* Define to 1 if you have the `_getlong' function. */
+/* Define if you have the `_getlong' function. */
 #undef HAVE__GETLONG
 
-/* Define to 1 if you have the `_getpty' function. */
+/* Define if you have the `_getpty' function. */
 #undef HAVE__GETPTY
 
-/* Define to 1 if you have the `_getshort' function. */
+/* Define if you have the `_getshort' function. */
 #undef HAVE__GETSHORT
 
-/* Define to 1 if you have the `__b64_ntop' function. */
+/* Define if you have the `__b64_ntop' function. */
 #undef HAVE___B64_NTOP
 
-/* Define to 1 if you have the `__b64_pton' function. */
+/* Define if you have the `__b64_pton' function. */
 #undef HAVE___B64_PTON
 
-/* Define to the address where bug reports for this package should be sent. */
-#undef PACKAGE_BUGREPORT
-
-/* Define to the full name of this package. */
-#undef PACKAGE_NAME
-
-/* Define to the full name and version of this package. */
-#undef PACKAGE_STRING
-
-/* Define to the one symbol short name of this package. */
-#undef PACKAGE_TARNAME
-
-/* Define to the version of this package. */
-#undef PACKAGE_VERSION
-
 /* The size of a `char', as computed by sizeof. */
 #undef SIZEOF_CHAR
 
@@ -1083,11 +1082,11 @@
 /* The size of a `short int', as computed by sizeof. */
 #undef SIZEOF_SHORT_INT
 
-/* Define to 1 if you have the ANSI C header files. */
+/* Define if you have the ANSI C header files. */
 #undef STDC_HEADERS
 
-/* Define to 1 if your processor stores words with the most significant byte
-   first (like Motorola and SPARC, unlike Intel and VAX). */
+/* Define if your processor stores words with the most significant byte first
+   (like Motorola and SPARC, unlike Intel and VAX). */
 #undef WORDS_BIGENDIAN
 
 /* Number of bits in a file offset, on hosts where this is settable. */
@@ -1096,11 +1095,9 @@
 /* Define for large files, on AIX-style hosts. */
 #undef _LARGE_FILES
 
-/* Define to `__inline__' or `__inline' if that's what the C compiler
-   calls it, or to nothing if 'inline' is not supported under any name.  */
-#ifndef __cplusplus
+/* Define as `__inline' if that's what the C compiler calls it, or to nothing
+   if it is not supported. */
 #undef inline
-#endif
 
 /* type to use in place of socklen_t if not defined */
 #undef socklen_t
